# Maintainer: Venji10 <bennisteinir@gmail.com>

# Reference: <https://postmarketos.org/vendorkernel>
# Kernel config based on: arch/arm64/configs/beryllium_defconfig

pkgname=linux-xiaomi-beryllium-mainline
pkgver=5.2.0
pkgrel=0
pkgdesc="Xiaomi Poco F1 kernel fork"
arch="aarch64"
_carch="arm64"
_flavor="xiaomi-beryllium"
url="https://kernel.org"
license="GPL-2.0-only"
options="!strip !check !tracedeps"
makedepends="bison flex perl sed installkernel bash gmp-dev bc linux-headers elfutils-dev devicepkg-dev openssl-dev"


# Source
_repository="linux-beryllium"
_commit="3ca4b97b596fa220d8511894ee67a34493664a6c"
_config="config-$_flavor.$arch"
source="
	$pkgname-$_commit.tar.gz::https://github.com/Venji10/$_repository/archive/$_commit.tar.gz
	$_config
"
builddir="$srcdir/$_repository-$_commit"

prepare() {
	default_prepare
	REPLACE_GCCH=0 \
		. downstreamkernel_prepare
}

build() {
	unset LDFLAGS
	make ARCH="$_carch" CC="${CC:-gcc}" \
		KBUILD_BUILD_VERSION="$((pkgrel + 1 ))-postmarketOS"
}

package() {
	downstreamkernel_package "$builddir" "$pkgdir" "$_carch" "$_flavor"
}

sha512sums="4a834f11155b6cb7ca3e7da7f9a561b4f96a2288215ba46cf880f0b95e4ed3ebb5b911d99f1daf7d9e0f2480116e53ffef409e88980fac79026d951f10ef7db3  linux-xiaomi-beryllium-mainline-3ca4b97b596fa220d8511894ee67a34493664a6c.tar.gz
e3517f4e3369d5fa369a8f9a60ef11b6753dbacbc70f05013c24f78e4e6eaeb3317d1b6018f82c6cdfba32f4ff9712f4c1d934c0ab818040035ce3decec41c11  config-xiaomi-beryllium.aarch64"
